#include "rmenu.h"
#include <QEvent>
#include <QDebug>
#include <QDesktopWidget>
#include <QApplication>

RMenu::RMenu(QWidget *parent):
    QMenu(parent)
{

}

void RMenu::showEvent(QShowEvent *event)
{
    QDesktopWidget* m = QApplication::desktop();
    QRect desk_rect = m->screenGeometry(m->screenNumber(QCursor::pos()));
    int desk_x = desk_rect.width();
    int menuXPos = this->pos().x();
    int menuWidth = this->size().width() - 4;

    if (menuXPos < menuWidth || menuXPos >= (desk_x - this->size().width() - 4))
        return QMenu::showEvent(event);
    int buttonWidth = 36;
    QPoint pos = QPoint(menuXPos - menuWidth + buttonWidth,
                        this->pos().y());
    this->move(pos);
    QMenu::showEvent(event);
}

